javax.persistence.metamodel

## Interface Type<X>

Type Parameters:
  `X` - The type of the represented object or attribute

All Known Subinterfaces:
  BasicType<X>, EmbeddableType<X>, EntityType<X>, IdentifiableType<X>, ManagedType<X>, MappedSuperclassType<X>

    public interface Type<X>

Instances of the type `Type` represent persistent object or attribute types.

Since:
  Java Persistence 2.0

### Nested Class Summary

Nested Classes
`static class` `Type.PersistenceType`

### Method Summary

All Methods Instance Methods Abstract Methods
`Class<X>` `getJavaType()` Return the represented Java type.
`Type.PersistenceType` `getPersistenceType()` Return the persistence type.

### Method Detail

#### getPersistenceType

    Type.PersistenceType getPersistenceType()

Return the persistence type.

Returns:
  persistence type

#### getJavaType

    Class<X> getJavaType()

Return the represented Java type.

Returns:
  Java type